Bug 874432 - System unable to subscribe valid subscriptions
System unable to subscribe valid subscriptions
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
i686 Linux
medium Severity medium
: rc
: ---
Assigned To: Tom McKay
Tazim Kolhar
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-08 03:01 EST by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 08:26:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Subscription not valid (80.60 KB, image/png)
2012-11-08 03:01 EST, Tazim Kolhar
no flags Details
Manifest uploaded and system registration (44.64 KB, application/zip)
2012-11-08 03:02 EST, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2012-11-08 03:01:16 EST
Created attachment 640638 [details]
Subscription not valid

Description of problem:

System unable to subscribe valid subscriptions.

Version-Release number of selected component (if applicable):

# rpm -qa | grep katello
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.2-1h.el6_3.noarch
katello-glue-candlepin-1.2.2-1h.el6_3.noarch
katello-cli-1.2.2-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-headpin-all-1.2.2-1h.el6_3.noarch
katello-headpin-1.2.2-1h.el6_3.noarch
katello-configure-1.2.1-1h.el6_3.noarch
katello-common-1.2.2-1h.el6_3.noarch


How reproducible:
# yum install -y katello-headpin-all
# katello-configure --deployment=sam

Steps to Reproduce:
1.Log in to UI
2.Register a system for a org 
3.Navigate to Content go to Redhat Subscription
4.Upload the manifests
5.Subscribe the system to one of the subscriptions
  
Actual results:
Error  : Subscription is not valid

Expected results:

System is subscribed


Additional info:

Screen shot attached
Comment 1 Tazim Kolhar 2012-11-08 03:02:11 EST
Created attachment 640639 [details]
Manifest uploaded and system registration
Comment 2 Tom McKay 2012-11-08 08:26:49 EST
From what I can see, the system should remain red. You only have one subscription assigned to the system (High Availability) and still need the RHEL subscription added. Please look at the Content->Software for that system and I think you'll see that RHEL is not covered.
Comment 4 Tazim Kolhar 2012-11-25 23:50:58 EST
Confirmed :

Tried to register the system using different manifest import.
was able to register and subscribe .


NOT_A_BUG

Note You need to log in before you can comment on or make changes to this bug.